# Module: YARD::GemIndex

Defined in:
  lib/yard/gem_index.rb

## Class Method Summary collapse

- .all ⇒ Object
- .each(&block) ⇒ Object
- .find_all_by_name(*args) ⇒ Object

## Class Method Details

### .all ⇒ `Object`

    25
    26
    27

    # File 'lib/yard/gem_index.rb', line 25

    def all
      each.to_a
    end

### .each(&block) ⇒ `Object`

    17
    18
    19
    20
    21
    22
    23

    # File 'lib/yard/gem_index.rb', line 17

    def each(&block)
      if defined?(Gem::Specification) && Gem::Specification.respond_to?(:each)
        Gem::Specification.each(&block)
      else
        Gem.source_index.find_name('').each(&block)
      end
    end

### .find_all_by_name(*args) ⇒ `Object`

    9
    10
    11
    12
    13
    14
    15

    # File 'lib/yard/gem_index.rb', line 9

    def find_all_by_name(*args)
      if defined?(Gem::Specification) && Gem::Specification.respond_to?(:find_all_by_name)
        Gem::Specification.find_all_by_name(*args)
      else
        Gem.source_index.find_name(*args)
      end
    end